/*******************************************************************************
* File Name: CO2_Rx_ISR.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__CO2_Rx_ISR_INTC_H__)
#define __CO2_Rx_ISR_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void CO2_Rx_ISR_Start(void);
void CO2_Rx_ISR_StartEx(cyisraddress address);
void CO2_Rx_ISR_Stop(void) ;

CY_ISR_PROTO(CO2_Rx_ISR_Interrupt);

void CO2_Rx_ISR_SetVector(cyisraddress address) ;
cyisraddress CO2_Rx_ISR_GetVector(void) ;

void CO2_Rx_ISR_SetPriority(uint8 priority) ;
uint8 CO2_Rx_ISR_GetPriority(void) ;

void CO2_Rx_ISR_Enable(void) ;
uint8 CO2_Rx_ISR_GetState(void) ;
void CO2_Rx_ISR_Disable(void) ;

void CO2_Rx_ISR_SetPending(void) ;
void CO2_Rx_ISR_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the CO2_Rx_ISR ISR. */
#define CO2_Rx_ISR_INTC_VECTOR            ((reg32 *) CO2_Rx_ISR__INTC_VECT)

/* Address of the CO2_Rx_ISR ISR priority. */
#define CO2_Rx_ISR_INTC_PRIOR             ((reg8 *) CO2_Rx_ISR__INTC_PRIOR_REG)

/* Priority of the CO2_Rx_ISR interrupt. */
#define CO2_Rx_ISR_INTC_PRIOR_NUMBER      CO2_Rx_ISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable CO2_Rx_ISR interrupt. */
#define CO2_Rx_ISR_INTC_SET_EN            ((reg32 *) CO2_Rx_ISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the CO2_Rx_ISR interrupt. */
#define CO2_Rx_ISR_INTC_CLR_EN            ((reg32 *) CO2_Rx_ISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the CO2_Rx_ISR interrupt state to pending. */
#define CO2_Rx_ISR_INTC_SET_PD            ((reg32 *) CO2_Rx_ISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the CO2_Rx_ISR interrupt. */
#define CO2_Rx_ISR_INTC_CLR_PD            ((reg32 *) CO2_Rx_ISR__INTC_CLR_PD_REG)



/* __CO2_Rx_ISR_INTC_H__ */
#endif
