/*******************************************************************************
* File Name: Pin_FAN_ON.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_FAN_ON_H) /* Pins Pin_FAN_ON_H */
#define CY_PINS_Pin_FAN_ON_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_FAN_ON_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_FAN_ON_Write(uint8 value) ;
void    Pin_FAN_ON_SetDriveMode(uint8 mode) ;
uint8   Pin_FAN_ON_ReadDataReg(void) ;
uint8   Pin_FAN_ON_Read(void) ;
uint8   Pin_FAN_ON_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_FAN_ON_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_FAN_ON_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_FAN_ON_DM_RES_UP          PIN_DM_RES_UP
#define Pin_FAN_ON_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_FAN_ON_DM_OD_LO           PIN_DM_OD_LO
#define Pin_FAN_ON_DM_OD_HI           PIN_DM_OD_HI
#define Pin_FAN_ON_DM_STRONG          PIN_DM_STRONG
#define Pin_FAN_ON_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_FAN_ON_MASK               Pin_FAN_ON__MASK
#define Pin_FAN_ON_SHIFT              Pin_FAN_ON__SHIFT
#define Pin_FAN_ON_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_FAN_ON_PS                     (* (reg8 *) Pin_FAN_ON__PS)
/* Data Register */
#define Pin_FAN_ON_DR                     (* (reg8 *) Pin_FAN_ON__DR)
/* Port Number */
#define Pin_FAN_ON_PRT_NUM                (* (reg8 *) Pin_FAN_ON__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_FAN_ON_AG                     (* (reg8 *) Pin_FAN_ON__AG)                       
/* Analog MUX bux enable */
#define Pin_FAN_ON_AMUX                   (* (reg8 *) Pin_FAN_ON__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_FAN_ON_BIE                    (* (reg8 *) Pin_FAN_ON__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_FAN_ON_BIT_MASK               (* (reg8 *) Pin_FAN_ON__BIT_MASK)
/* Bypass Enable */
#define Pin_FAN_ON_BYP                    (* (reg8 *) Pin_FAN_ON__BYP)
/* Port wide control signals */                                                   
#define Pin_FAN_ON_CTL                    (* (reg8 *) Pin_FAN_ON__CTL)
/* Drive Modes */
#define Pin_FAN_ON_DM0                    (* (reg8 *) Pin_FAN_ON__DM0) 
#define Pin_FAN_ON_DM1                    (* (reg8 *) Pin_FAN_ON__DM1)
#define Pin_FAN_ON_DM2                    (* (reg8 *) Pin_FAN_ON__DM2) 
/* Input Buffer Disable Override */
#define Pin_FAN_ON_INP_DIS                (* (reg8 *) Pin_FAN_ON__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_FAN_ON_LCD_COM_SEG            (* (reg8 *) Pin_FAN_ON__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_FAN_ON_LCD_EN                 (* (reg8 *) Pin_FAN_ON__LCD_EN)
/* Slew Rate Control */
#define Pin_FAN_ON_SLW                    (* (reg8 *) Pin_FAN_ON__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_FAN_ON_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_FAN_ON__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_FAN_ON_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_FAN_ON__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_FAN_ON_PRTDSI__OE_SEL0        (* (reg8 *) Pin_FAN_ON__PRTDSI__OE_SEL0) 
#define Pin_FAN_ON_PRTDSI__OE_SEL1        (* (reg8 *) Pin_FAN_ON__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_FAN_ON_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_FAN_ON__PRTDSI__OUT_SEL0) 
#define Pin_FAN_ON_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_FAN_ON__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_FAN_ON_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_FAN_ON__PRTDSI__SYNC_OUT) 


#if defined(Pin_FAN_ON__INTSTAT)  /* Interrupt Registers */

    #define Pin_FAN_ON_INTSTAT                (* (reg8 *) Pin_FAN_ON__INTSTAT)
    #define Pin_FAN_ON_SNAP                   (* (reg8 *) Pin_FAN_ON__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_FAN_ON_H */


/* [] END OF FILE */
