/*******************************************************************************
* File Name: Pin_T_RH_Data.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_T_RH_Data_H) /* Pins Pin_T_RH_Data_H */
#define CY_PINS_Pin_T_RH_Data_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_T_RH_Data_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_T_RH_Data_Write(uint8 value) ;
void    Pin_T_RH_Data_SetDriveMode(uint8 mode) ;
uint8   Pin_T_RH_Data_ReadDataReg(void) ;
uint8   Pin_T_RH_Data_Read(void) ;
uint8   Pin_T_RH_Data_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_T_RH_Data_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_T_RH_Data_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_T_RH_Data_DM_RES_UP          PIN_DM_RES_UP
#define Pin_T_RH_Data_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_T_RH_Data_DM_OD_LO           PIN_DM_OD_LO
#define Pin_T_RH_Data_DM_OD_HI           PIN_DM_OD_HI
#define Pin_T_RH_Data_DM_STRONG          PIN_DM_STRONG
#define Pin_T_RH_Data_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_T_RH_Data_MASK               Pin_T_RH_Data__MASK
#define Pin_T_RH_Data_SHIFT              Pin_T_RH_Data__SHIFT
#define Pin_T_RH_Data_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_T_RH_Data_PS                     (* (reg8 *) Pin_T_RH_Data__PS)
/* Data Register */
#define Pin_T_RH_Data_DR                     (* (reg8 *) Pin_T_RH_Data__DR)
/* Port Number */
#define Pin_T_RH_Data_PRT_NUM                (* (reg8 *) Pin_T_RH_Data__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_T_RH_Data_AG                     (* (reg8 *) Pin_T_RH_Data__AG)                       
/* Analog MUX bux enable */
#define Pin_T_RH_Data_AMUX                   (* (reg8 *) Pin_T_RH_Data__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_T_RH_Data_BIE                    (* (reg8 *) Pin_T_RH_Data__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_T_RH_Data_BIT_MASK               (* (reg8 *) Pin_T_RH_Data__BIT_MASK)
/* Bypass Enable */
#define Pin_T_RH_Data_BYP                    (* (reg8 *) Pin_T_RH_Data__BYP)
/* Port wide control signals */                                                   
#define Pin_T_RH_Data_CTL                    (* (reg8 *) Pin_T_RH_Data__CTL)
/* Drive Modes */
#define Pin_T_RH_Data_DM0                    (* (reg8 *) Pin_T_RH_Data__DM0) 
#define Pin_T_RH_Data_DM1                    (* (reg8 *) Pin_T_RH_Data__DM1)
#define Pin_T_RH_Data_DM2                    (* (reg8 *) Pin_T_RH_Data__DM2) 
/* Input Buffer Disable Override */
#define Pin_T_RH_Data_INP_DIS                (* (reg8 *) Pin_T_RH_Data__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_T_RH_Data_LCD_COM_SEG            (* (reg8 *) Pin_T_RH_Data__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_T_RH_Data_LCD_EN                 (* (reg8 *) Pin_T_RH_Data__LCD_EN)
/* Slew Rate Control */
#define Pin_T_RH_Data_SLW                    (* (reg8 *) Pin_T_RH_Data__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_T_RH_Data_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_T_RH_Data__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_T_RH_Data_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_T_RH_Data__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_T_RH_Data_PRTDSI__OE_SEL0        (* (reg8 *) Pin_T_RH_Data__PRTDSI__OE_SEL0) 
#define Pin_T_RH_Data_PRTDSI__OE_SEL1        (* (reg8 *) Pin_T_RH_Data__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_T_RH_Data_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_T_RH_Data__PRTDSI__OUT_SEL0) 
#define Pin_T_RH_Data_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_T_RH_Data__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_T_RH_Data_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_T_RH_Data__PRTDSI__SYNC_OUT) 


#if defined(Pin_T_RH_Data__INTSTAT)  /* Interrupt Registers */

    #define Pin_T_RH_Data_INTSTAT                (* (reg8 *) Pin_T_RH_Data__INTSTAT)
    #define Pin_T_RH_Data_SNAP                   (* (reg8 *) Pin_T_RH_Data__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_T_RH_Data_H */


/* [] END OF FILE */
