/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include <stdio.h>

int32 SampleChan(uint8 channel)
{
	AMux_1_FastSelect(channel);
	ADC_DelSig_1_StartConvert();
	ADC_DelSig_1_IsEndConversion(ADC_DelSig_1_WAIT_FOR_RESULT);
	return ADC_DelSig_1_GetResult32();
}

void calibrateADC()
{
	int32 mean = 0;
	uint8 i;
	
	for(i=0; i<100; i++) {
		mean += SampleChan(6);	//Measure AGND
	}
	mean = mean / 100;
	ADC_DelSig_1_SetOffset(mean);
}


void main()
{
    int32 rawSampleValue, i;
	float sampleVoltage;
	char txStr[20];
	
	CYGlobalIntEnable;
	
	UART_SIU_Start();
	AMux_1_Start();
	ADC_DelSig_1_Start();

	calibrateADC();
    
	for(;;)
    {
        rawSampleValue = SampleChan(4);
		sampleVoltage = ADC_DelSig_1_CountsTo_uVolts(rawSampleValue)/1e6;
		
		sprintf(txStr, "Voltage: %1.3f\r\n", sampleVoltage);
		UART_SIU_PutString(txStr);
		
		for (i=0; i<500000; i++);
    }
}


	

/* [] END OF FILE */
